<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Order_list extends CI_Controller 
{

   public function __construct()
   {
    parent::__construct();
    $this->load->helper('url');
    $this->load->helper('form');
    $this->load->library('form_validation');
    $this->load->library('password');
    $this->load->model('Orderlist_model');
     // $this->load->view('review-order');
}

public function list_order()
{


    $data['all_order']=$this->Orderlist_model->get_order();
    $this->load->view('admin/order-list',$data);
}


public function review_orderList($reg_id)
    {  
       

        $data['order']=$this->Orderlist_model->review_order($reg_id);
        $data['return_class']=$this->Orderlist_model->return_class($reg_id);
        $data['registrants']=$this->Orderlist_model->return_attendee($reg_id);
        $this->load->view('front/review',$data);
    }



    public function delet_list($reg_name)
    {  
     
        $delete_list = $this->Orderlist_model->delet_list($reg_name);
        if($delete_list)
        {
            $this->session->set_flashdata('success_msg','User Deleted Successfully');
            $data['all_order']=$this->Orderlist_model->get_order();
            $this->load->view('admin/order-list',$data);
        } else {
            $this->session->set_flashdata('error_msg','Error Occur');
            $data['all_order']=$this->Orderlist_model->get_order();
            $this->load->view('admin/order-list',$data);
        }
        

    }


}
?>
